import { Observable } from 'rxjs';
import { IDataSource } from '../dataSource';
import { DataSourceBase } from '../dataSourceBase.service';
export { IDataSource };
export declare class ObservableDataSource<TDataType> extends DataSourceBase<TDataType> implements IDataSource<TDataType> {
    private dataStream$;
    constructor(dataSet$: Observable<TDataType[]>);
    init(): void;
}
